### Method

# FwupdPlugin Device set_backend

#### Declaration [src]

    void
    fu_device_set_backend (
      FuDevice* self,
      FuBackend* backend
    )

#### Description [src]

Sets the backend that created this device.

Available since: | 2.0.0

Sets property | `FwupdPlugin.Device:backend`

#### Parameters

`backend` | `FuBackend`
| A `FuBackend`.
| The data is owned by the caller of the function.